Bug 1024507 - anaconda fails to warn that it is creating an unbootable system (or make it bootable)
anaconda fails to warn that it is creating an unbootable system (or make it b...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 16:00 EDT by Bill Nottingham
Modified: 2014-03-16 23:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 13:24:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
created anaconda-ks.cfg (1.18 KB, text/plain)
2013-10-29 16:00 EDT, Bill Nottingham
no flags Details
storage log (139.87 KB, text/plain)
2013-10-29 16:00 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2013-10-29 16:00:25 EDT
Created attachment 817167 [details]
created anaconda-ks.cfg

Description of problem:

I have a two disk system. I chose to install to the second disk (selected second disk, chose autopart).

anaconda created, without warning, a system that would not boot unless I went into the bios and switched the boot order. (It just continued to boot the first disk.)

Version-Release number of selected component (if applicable):

20131029 nightly
Comment 1 Bill Nottingham 2013-10-29 16:00:56 EDT
Created attachment 817168 [details]
storage log
Comment 3 David Cantrell 2013-12-13 13:24:12 EST
(From pjones):

I think it's NOTABUG. We have no way of knowing the FW boot order (AFAIK) except on EDD systems, so there's no way for us to claim we know whether the system will be bootable or not.

Note You need to log in before you can comment on or make changes to this bug.